Package de.gebit.integrity.runner.results.call

## Class SuccessResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.FixtureExecutionResult
    - - de.gebit.integrity.runner.results.call.CallResult
      - - de.gebit.integrity.runner.results.call.SuccessResult

-     public class SuccessResult
      extends CallResult

  Result for successful calls.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.runner.results.call.CallResult

      `CallResult.UpdatedVariable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuccessResult​(List<CallResult.UpdatedVariable> someUpdatedVariables, FixtureWrapper<?> aFixtureInstance, String aFixtureMethod, Long anExecutionTime, List<ExtendedResultFixture.ExtendedResult> someExtendedResults)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class de.gebit.integrity.runner.results.call.CallResult

      `getUpdatedVariables`

    - ### Methods inherited from class de.gebit.integrity.runner.results.FixtureExecutionResult

      `getExtendedResults, getFixtureInstance, getFixtureMethod`

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuccessResult

          public SuccessResult​(List<CallResult.UpdatedVariable> someUpdatedVariables,
                               FixtureWrapper<?> aFixtureInstance,
                               String aFixtureMethod,
                               Long anExecutionTime,
                               List<ExtendedResultFixture.ExtendedResult> someExtendedResults)

      Creates a new instance.
      Parameters:
        `someUpdatedVariables` - variables updated by the call
        `aFixtureInstance` - The fixture instance (wrapped) - may be null if no fixtures are called in the current phase (for example during the dry run).
        `aFixtureMethod` - the method that was executed
        `anExecutionTime` - the time to execute the call
        `someExtendedResults` - any extended results returned by the fixture